Visual diffing: Implement a fallback for when tree diffing takes too long
Closed, ResolvedPublic1 Story Points

Description

In edge cases tree diffing can be very expensive (taking several seconds). We should probably bail out of these computations and fall back to something simpler.

Esanders created this task.Jan 29 2017, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2017, 9:04 PM

Change 335656 had a related patch set uploaded (by Esanders):
VisualDiff: Implement linear diff timeout for edge cases

https://gerrit.wikimedia.org/r/335656

Change 335656 merged by jenkins-bot:
VisualDiff: Implement linear diff timeout for edge cases

https://gerrit.wikimedia.org/r/335656

Change 336450 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (121100d74)

https://gerrit.wikimedia.org/r/336450

Jdforrester-WMF closed this task as Resolved.Feb 7 2017, 7:02 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.

Change 336450 merged by jenkins-bot:
Update VE core submodule to master (121100d74)

https://gerrit.wikimedia.org/r/336450

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 10 2017, 10:56 PM